/*
 *  jDTAUS - DTAUS fileformat.
 *  Copyright (c) 2005 Christian Schulte <cs@schulte.it>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
package org.jdtaus.banking.messages;

import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

class UpdatesBankleitzahlenDateiMessageBundle
{

  /** Singleton instance. */
  private static final UpdatesBankleitzahlenDateiMessageBundle instance =
    new UpdatesBankleitzahlenDateiMessageBundle();

  /** Creates a new {@code UpdatesBankleitzahlenDateiMessageBundle} instance. */
  UpdatesBankleitzahlenDateiMessageBundle()
  {
    this.getMessage ( "updatingBankleitzahlenDatei", Locale.getDefault() );
  }

  /**
   * Gets the {@code UpdatesBankleitzahlenDateiMessageBundle} singleton.
   *
   * @return the {@code UpdatesBankleitzahlenDateiMessageBundle} singleton.
   */
  static UpdatesBankleitzahlenDateiMessageBundle getInstance()
  {
    return instance;
  }

  /**
   * Gets the text of the message with key {@code "updatingBankleitzahlenDatei"}.
   *
   * @return <pre>
   * Updates bankfile.</pre>
   */
  String getUpdatingBankleitzahlenDateiText ( final Locale locale )
  {
    return this.getMessage ( "updatingBankleitzahlenDatei", locale );
  }

  /**
   * Gets the message with key {@code "updatingBankleitzahlenDatei"}.
   *
   * @return <pre>
   * Updates bankfile.</pre>
   */
  MessageFormat getUpdatingBankleitzahlenDateiMessage ( Locale locale )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return new MessageFormat ( this.getMessage ( "updatingBankleitzahlenDatei", locale ), locale );
  }

  /**
   * Gets a message for a given key and locale.
   *
   * @param key the key of the message to return.
   * @param locale the locale of the message.
   *
   * @return message for {@code key} using {@code locale}.
   */
  private String getMessage( final String key, Locale locale )
  {
    if ( locale == null )
    {
      locale = Locale.getDefault();
    }

    return ResourceBundle.getBundle( "org/jdtaus/banking/messages/UpdatesBankleitzahlenDateiMessage",
                                     locale ).getString( key );

  }
}
